
;; receives interrupt pointer on 'hl'
set_own_interrupt:
im 1
di

ld a, &C3
ld (&38), a
ld (&39),hl

ei
ret




interrupt_0:

push hl 

ld hl, interrupt_1
ld (&39),hl


pop hl


ei
reti


interrupt_1:


push hl 

ld hl, interrupt_2
ld (&39),hl

pop hl


ei
reti


interrupt_2:

push hl 

ld hl, interrupt_3
ld (&39),hl

pop hl


ei
reti


interrupt_3:

push hl 

ld hl, interrupt_4
ld (&39),hl

pop hl


ei
reti


interrupt_4:

push hl 

ld hl, interrupt_5
ld (&39),hl

pop hl

ei
reti



interrupt_5:
push af
push ix
push iy  
push bc
push de
push hl
; call sound_test_music_on
ld hl, music_on
ld a, (hl)
or a 
jr z, exitNotActive ;; MÚSICA NO SE ENCUENTRA ACTIVA, NO REPRODUCIR

;; MUSICA ACTIVA, COMPROBAMOS VELOCIDAD DE REPRODUCCIÓN
inc hl 
ld a, (hl) ;; VELOCIDAD DE REPRODUCCIÓN ('1' STANDARD)
or a 
jr nz, sound_play_music ;; VELOCIDAD STANDARD

;; VELOCIDAD LENTA (25 FPS, PARA CUANDO NOS MATAN, QUE SE RALENTIZA LA ACCIÓN POR UNOS INSTANTES...)
inc hl
ld a, (hl)
xor #1     ;; SWITCH REPRODUCIR O NO...
ld (hl),a 
or a
jr z, exitNotActive

;; REPRODUCIR MÚSICA EN CASO DE QUE ESTÉ ACTIVA
sound_play_music:
	

      ex af, af'  
      push af
      call PLY_AKM_PLAY
      pop af
      ex af, af'   

exitNotActive:
ld hl, interrupt_0
ld (&39),hl

      pop hl
      pop de
      pop bc
      pop iy
      pop ix
	  pop af
	  
ei
reti

